osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Fumbling with emacs + elpy + flake8


Den 2018-09-14 skrev Toni Sissala <toni.sissala at gmail.com>:
> I'm on Ubuntu 16.04. I found out that flake8 did not play well with 
> emacs if installed with --user option, nor when installed in a virtual 
> environment. Didn't research any further, since I got it working with 
> plain pip3 install flake8
>
<snip>

Toni, your advice did not work out-of-the-box but it put me on the
right track. When I revert to installing flake8 from Debian's repo
it works. Strange as I have not done it like that on my primary
computer. Both Debian installations but a generation apart.

Case closed, I think.

/Martin